apiVersion: migration.openshift.io/v1alpha1
kind: MigPlan
metadata:
  annotations:
    openshift.io/touch: a20888b9-46b1-11f0-a832-0a580a83004c
  creationTimestamp: '2025-06-11T10:30:45Z'
  generation: 108
  managedFields:
    - apiVersion: migration.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:destMigClusterRef': {}
          'f:liveMigrate': {}
          'f:namespaces': {}
          'f:srcMigClusterRef': {}
      manager: Mozilla
      operation: Update
      time: '2025-06-11T10:30:45Z'
    - apiVersion: migration.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:openshift.io/touch': {}
        'f:spec':
          'f:persistentVolumes': {}
        'f:status':
          .: {}
          'f:conditions': {}
          'f:destStorageClasses': {}
          'f:excludedResources': {}
          'f:observedDigest': {}
          'f:srcStorageClasses': {}
          'f:suffix': {}
      manager: manager
      operation: Update
      time: '2025-06-11T10:48:39Z'
  name: migplan-mz66nl
  namespace: openshift-migration
  resourceVersion: '2508696'
  uid: 0997c645-4dd5-4be6-9674-fb5aba734b4e
spec:
  destMigClusterRef:
    name: host
    namespace: openshift-migration
  liveMigrate: true
  namespaces:
    - leon
  persistentVolumes:
    - capacity: 1Gi
      name: pvc-3ff3bb50-34ef-404d-99d7-1b805085a34f
      proposedCapacity: '0'
      pvc:
        accessModes:
          - Auto
        hasReference: true
        name: 'dv-vm-sc-migration-vol-disk-blanc-tqewzl:dv-vm-sc-migration-vol-disk-blanc-tqewzl-mig-z8lc'
        namespace: leon
        ownerType: VirtualMachine
        volumeMode: Auto
      selection:
        action: copy
        copyMethod: block
        storageClass: hostpath-csi-pvc-block
      storageClass: ocs-storagecluster-ceph-rbd-virtualization
      supported:
        actions:
          - skip
          - copy
        copyMethods:
          - filesystem
          - block
          - snapshot
    - capacity: 30Gi
      name: pvc-5df15ecf-13a6-455b-859e-beb4fe8feaca
      proposedCapacity: '0'
      pvc:
        accessModes:
          - Auto
        hasReference: true
        name: 'vm-sc-migration-vol-volume:vm-sc-migration-vol-volume-mig-z8lc'
        namespace: leon
        ownerType: VirtualMachine
        volumeMode: Auto
      selection:
        action: copy
        copyMethod: block
        storageClass: hostpath-csi-pvc-block
      storageClass: ocs-storagecluster-ceph-rbd-virtualization
      supported:
        actions:
          - skip
          - copy
        copyMethods:
          - filesystem
          - block
          - snapshot
    - capacity: 69Gi
      name: pvc-c79dd596-3ce3-4c0a-9b94-c054d921c8fd
      proposedCapacity: '0'
      pvc:
        accessModes:
          - Auto
        hasReference: true
        name: 'dv-vm-sc-migration-vm-disk-blanc-2s6lj9-mig-vqrb:dv-vm-sc-migration-vm-disk-blanc-2s6lj9-mig-z8lc'
        namespace: leon
        ownerType: VirtualMachine
        volumeMode: Auto
      selection:
        action: skip
        copyMethod: block
        storageClass: hostpath-csi-pvc-block
      storageClass: hostpath-csi-pvc-block
      supported:
        actions:
          - skip
          - copy
        copyMethods:
          - filesystem
          - block
          - snapshot
    - capacity: 69Gi
      name: pvc-e4bacc50-9bbe-4f68-8c4a-46872ddf334b
      proposedCapacity: 75095M
      pvc:
        accessModes:
          - Auto
        hasReference: true
        name: 'vm-sc-migration-vm-volume-mig-vqrb:vm-sc-migration-vm-volume-mig-z8lc'
        namespace: leon
        ownerType: VirtualMachine
        volumeMode: Auto
      selection:
        action: skip
        copyMethod: block
        storageClass: hostpath-csi-pvc-block
      storageClass: hostpath-csi-pvc-block
      supported:
        actions:
          - skip
          - copy
        copyMethods:
          - filesystem
          - block
          - snapshot
  srcMigClusterRef:
    name: host
    namespace: openshift-migration
status:
  conditions:
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-06-11T10:30:48Z'
      message: The migration plan was previously used for Storage Conversion. It can only be used for further Storage Conversions. Other migrations will be possible only after a successful rollback is performed.
      reason: StorageConversionPlan
      status: 'True'
      type: MigrationTypeIdentified
    - category: Warn
      durable: true
      lastTransitionTime: '2025-06-11T10:48:38Z'
      message: 'Found Pods with non-default `Spec.NodeSelector` set in namespaces: [leon]. This field will be cleared on Pods restored into the target cluster.'
      reason: NodeSelectorsDetected
      status: 'True'
      type: NamespacesHaveNodeSelectors
    - category: Error
      lastTransitionTime: '2025-06-11T10:30:48Z'
      message: 'The migration plan is in conflict with [migplan-34ak05].'
      reason: Conflict
      status: 'True'
      type: PlanConflict
    - category: Warn
      lastTransitionTime: '2025-06-11T10:30:50Z'
      message: 'KubeVirt storage live migration is not enabled, Virtual Machines will be stopped instead'
      reason: NotSupported
      status: 'True'
      type: KubeVirtStorageLiveMigrationNotEnabled
    - category: Required
      lastTransitionTime: '2025-06-11T10:30:50Z'
      message: The `persistentVolumes` list has been updated with discovered PVs.
      reason: Done
      status: 'True'
      type: PvsDiscovered
    - category: Warn
      lastTransitionTime: '2025-06-11T10:30:50Z'
      message: 'AccessMode for PVC in `persistentVolumes` [pvc-3ff3bb50-34ef-404d-99d7-1b805085a34f,pvc-5df15ecf-13a6-455b-859e-beb4fe8feaca] unavailable in chosen storage class.'
      status: 'True'
      type: PvWarnAccessModeUnavailable
    - category: Warn
      durable: true
      lastTransitionTime: '2025-06-11T10:48:39Z'
      message: 'Migrating data of following volumes may result in a failure either due to mismatch in their requested and actual capacities or disk usage being close to 100%:  [vm-sc-migration-vm-volume-mig-vqrb]'
      reason: NotDone
      status: 'True'
      type: PvCapacityAdjustmentRequired
  destStorageClasses:
    - name: csi-manila-ceph
      provisioner: manila.csi.openstack.org
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: csi-manila-netapp
      provisioner: manila.csi.openstack.org
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: hostpath-csi-basic
      provisioner: kubevirt.io.hostpath-provisioner
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: hostpath-csi-pvc-block
      provisioner: kubevirt.io.hostpath-provisioner
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: local-block-hpp
      provisioner: kubernetes.io/no-provisioner
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: local-block-ocs
      provisioner: kubernetes.io/no-provisioner
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: ocs-storagecluster-ceph-rbd
      provisioner: openshift-storage.rbd.csi.ceph.com
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
        - accessModes:
            - ReadWriteOnce
            - ReadOnlyMany
            - ReadWriteMany
          volumeMode: Block
    - default: true
      name: ocs-storagecluster-ceph-rbd-virtualization
      provisioner: openshift-storage.rbd.csi.ceph.com
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
        - accessModes:
            - ReadWriteOnce
            - ReadOnlyMany
            - ReadWriteMany
          volumeMode: Block
    - name: ocs-storagecluster-ceph-rbd-wffc
      provisioner: openshift-storage.rbd.csi.ceph.com
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
        - accessModes:
            - ReadWriteOnce
            - ReadOnlyMany
            - ReadWriteMany
          volumeMode: Block
    - name: ocs-storagecluster-ceph-rgw
      provisioner: openshift-storage.ceph.rook.io/bucket
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: ocs-storagecluster-cephfs
      provisioner: openshift-storage.cephfs.csi.ceph.com
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
            - ReadOnlyMany
            - ReadWriteMany
          volumeMode: Filesystem
    - name: standard-csi
      provisioner: cinder.csi.openstack.org
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
  excludedResources:
    - imagetags
    - templateinstances
    - clusterserviceversions
    - packagemanifests
    - subscriptions
    - servicebrokers
    - servicebindings
    - serviceclasses
    - serviceinstances
    - serviceplans
    - operatorgroups
    - events
    - events.events.k8s.io
    - rolebindings.authorization.openshift.io
  observedDigest: 8b0a6d8888f8e4977326e0d564a402506cea81aba557be2cd34555d8774f32a1
  srcStorageClasses:
    - name: csi-manila-ceph
      provisioner: manila.csi.openstack.org
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: csi-manila-netapp
      provisioner: manila.csi.openstack.org
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: hostpath-csi-basic
      provisioner: kubevirt.io.hostpath-provisioner
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: hostpath-csi-pvc-block
      provisioner: kubevirt.io.hostpath-provisioner
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: local-block-hpp
      provisioner: kubernetes.io/no-provisioner
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: local-block-ocs
      provisioner: kubernetes.io/no-provisioner
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: ocs-storagecluster-ceph-rbd
      provisioner: openshift-storage.rbd.csi.ceph.com
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
        - accessModes:
            - ReadWriteOnce
            - ReadOnlyMany
            - ReadWriteMany
          volumeMode: Block
    - default: true
      name: ocs-storagecluster-ceph-rbd-virtualization
      provisioner: openshift-storage.rbd.csi.ceph.com
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
        - accessModes:
            - ReadWriteOnce
            - ReadOnlyMany
            - ReadWriteMany
          volumeMode: Block
    - name: ocs-storagecluster-ceph-rbd-wffc
      provisioner: openshift-storage.rbd.csi.ceph.com
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
        - accessModes:
            - ReadWriteOnce
            - ReadOnlyMany
            - ReadWriteMany
          volumeMode: Block
    - name: ocs-storagecluster-ceph-rgw
      provisioner: openshift-storage.ceph.rook.io/bucket
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
    - name: ocs-storagecluster-cephfs
      provisioner: openshift-storage.cephfs.csi.ceph.com
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
            - ReadOnlyMany
            - ReadWriteMany
          volumeMode: Filesystem
    - name: standard-csi
      provisioner: cinder.csi.openstack.org
      volumeAccessModes:
        - accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
  suffix: z8lc
